### Enumeration

# Fwupd Error

#### Declaration

    error-domain Fwupd.Error

#### Description [src]

The error code.

#### Members

`FWUPD_ERROR_INTERNAL`

  Internal error.

  - Value: `0`
  - Available since: 0.1.1
`FWUPD_ERROR_VERSION_NEWER`

  Installed newer firmware version.

  - Value: `1`
  - Available since: 0.1.1
`FWUPD_ERROR_VERSION_SAME`

  Installed same firmware version.

  - Value: `2`
  - Available since: 0.1.1
`FWUPD_ERROR_ALREADY_PENDING`

  Already set to be installed offline.

  - Value: `3`
  - Available since: 0.1.1
`FWUPD_ERROR_AUTH_FAILED`

  Failed to get authentication.

  - Value: `4`
  - Available since: 0.1.1
`FWUPD_ERROR_READ`

  Failed to read from device.

  - Value: `5`
  - Available since: 0.1.1
`FWUPD_ERROR_WRITE`

  Failed to write to the device.

  - Value: `6`
  - Available since: 0.1.1
`FWUPD_ERROR_INVALID_FILE`

  Invalid file format.

  - Value: `7`
  - Available since: 0.1.1
`FWUPD_ERROR_NOT_FOUND`

  No matching device exists.

  - Value: `8`
  - Available since: 0.1.1
`FWUPD_ERROR_NOTHING_TO_DO`

  Nothing to do.

  - Value: `9`
  - Available since: 0.1.1
`FWUPD_ERROR_NOT_SUPPORTED`

  Action was not possible.

  - Value: `10`
  - Available since: 0.1.1
`FWUPD_ERROR_SIGNATURE_INVALID`

  Signature was invalid.

  - Value: `11`
  - Available since: 0.1.2
`FWUPD_ERROR_AC_POWER_REQUIRED`

  AC power was required.

  - Value: `12`
  - Available since: 0.8.0
`FWUPD_ERROR_PERMISSION_DENIED`

  Permission was denied.

  - Value: `13`
  - Available since: 0.9.8
`FWUPD_ERROR_BROKEN_SYSTEM`

  User has configured their system in a broken way.

  - Value: `14`
  - Available since: 1.2.8
`FWUPD_ERROR_BATTERY_LEVEL_TOO_LOW`

  The system battery level is too low.

  - Value: `15`
  - Available since: 1.2.10
`FWUPD_ERROR_NEEDS_USER_ACTION`

  User needs to do an action to complete the update.

  - Value: `16`
  - Available since: 1.3.3
`FWUPD_ERROR_AUTH_EXPIRED`

  Failed to get auth as credentials have expired.

  - Value: `17`
  - Available since: 1.7.5
`FWUPD_ERROR_INVALID_DATA`

  Invalid data.

  - Value: `18`
  - Available since: 2.0.0
`FWUPD_ERROR_TIMED_OUT`

  The request timed out.

  - Value: `19`
  - Available since: 2.0.0
`FWUPD_ERROR_BUSY`

  The device is busy.

  - Value: `20`
  - Available since: 2.0.0
`FWUPD_ERROR_NOT_REACHABLE`

  The network is not reachable.

  - Value: `21`
  - Available since: 2.0.4